<?php


namespace NL\NlMenubuilder\Domain\Model;


use TYPO3\CMS\Extbase\Reflection\ObjectAccess;

class MenuItemPage extends MenuItem
{
    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title ?:
            ObjectAccess::getPropertyPath($this, 'page.navTitle') ?:
                ObjectAccess::getPropertyPath($this, 'page.title');
    }

    /**
     * @return string
     */
    public function getSubtitle(): string
    {
        return $this->subtitle ?:
            ObjectAccess::getPropertyPath($this, 'page.subtitle');
    }
}
